﻿@page
@using Microsoft.Extensions.Localization;
@inject IStringLocalizer Localizer;
@model Canyon.GM.Panel.Pages.LoginModel
@{
    Layout = "_LoginLayout";
    ViewData[TITLE] = Localizer["Login"];
}

<form method="post" asp-route-returnUrl="@Model.ReturnUrl">

    @await Html.PartialAsync("_ErrorSummary")

    <div class="form-floating">
        <input class="form-control" asp-for="LoginInput.UserName" placeholder="name@example.com">
        <label asp-for="LoginInput.UserName">@Localizer["UserName"]</label>
    </div>
    <div class="form-floating">
        <input class="form-control" asp-for="LoginInput.Password" placeholder="password">
        <label asp-for="LoginInput.Password">@Localizer["Password"]</label>
    </div>

    <div class="checkbox mb-3">
        <label>
            <input type="checkbox" asp-for="LoginInput.RememberMe"> @Localizer["RememberMe"]
        </label>
    </div>
    <button class="w-100 btn btn-lg btn-primary" type="submit">@Localizer["SignIn"]</button>
</form>
